﻿@import "fontawesome-free-5.6.3-web/css/all.css";
@import "Login.css";
@import "Layout.css";
@import "visualizador.css";
@import "RegistroInicial.css";
body {
    background-color: #eeeeee;
}

.FondoReport {
    background-color: white;
}


/* Set padding to keep content from hitting the edges */

.body-content {
    padding-left: 15px;
    padding-right: 15px;
}


/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/

.dl-horizontal dt {
    white-space: normal;
}


/* Set width on the form input elements since they're 100% wide by default */

input,
select,
textarea {
    /*max-width: 280px;*/
    resize: none;
}

.jumbotron {
    background-color: #dbdbdb;
}

.error {
    color: #dc3545 !important;
}

.table-wrapper-scroll-y {
    display: block;
    max-height: 150px;
    overflow-y: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}

.preguntas {
    display: block;
    max-height: 600px;
    overflow-y: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}

.ScrollBarComentarios {
    max-height: 320px;
    overflow-y: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}

#ltsComentarios {
    /*border: 1px solid #dee2e6;
    background: #f9f9f9;*/
}

.cardComentarios {
    padding: 5px 0;
    border-bottom: 1px dashed #dee2e6;
}

.cardComentarios:last-child {
    border-bottom: none;
}

.cardComentarios p {
    margin: 0;
}

.detTitleComent {
    margin-bottom: 10px;
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    color: #222d32;
}


/*btn-success*/


/*.btn-success {
    color: #ffffff;
    background-color: #80a521;
    border-color: #5e7915;
}

.btn-success:hover{
    background-color: #5e7915;
    border-color: #495d11;
}

.btn-outline-success {
    color: #80a521;
    border-color: #80a521;
}

.btn-outline-success:hover {
    background-color: #80a521;
    border-color: #5e7915;
}*/


/*Tablas*/

table {
    font-size: 14px;
    color: #222d32;
}

.table th,
.table td {
    /*text-transform: capitalize;*/
}

.table th {
    border-top: none;
}

.table thead th,
.table tbody td {
    /*min-width: 150px;*/
    white-space: nowrap;
    max-width: 260px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: middle;
}

.table tbody td.tdAction {
    overflow: visible;
}

th.action {
    min-width: 170px !important;
    text-align: center;
}

th.description {
    min-width: 250px;
}

td.mail {
    text-transform: lowercase !important;
}

td.estate {
    text-transform: lowercase !important;
}

td.estate:first-letter {
    text-transform: capitalize;
}


/*btn*/

.btn {
    transition: none !important;
}

.btn-default {
    color: #676a6c;
    background: white;
    border: 1px solid;
    border-bottom: 3px solid;
    border-color: #dfdfdf;
    padding: 3px 10px;
    font-size: 14px;
}

tr td.tdAction .btn-default {
    min-width: 115px;
    text-align: left;
}

tr td.tdAction .btn-default i,
tr td.tdAction .btn-default::after {
    float: right;
    margin-top: 5px;
    margin-right: -5px;
}

.btn-default:hover {
    color: #9cbb3d;
    text-decoration: none;
    border: 1px solid !important;
    /*border-bottom: 3px solid !important;*/
    border-color: #9cbb3d !important;
    margin-bottom: 2px;
}

.dropdown-item {
    font-size: 13px;
    color: #374850;
    padding: 4px 15px;
}

.dropdown-item:hover {
    background-color: #222d32;
    color: white;
}

.btnActionDif {
    text-align: center;
}

.btnActionDif .btn-default {
    display: inline-block;
    text-align: left;
    vertical-align: middle;
    min-width: 150px;
}

.btnActionDet {
    text-align: center;
}

.btnActionDet .btn-default {
    display: inline-block;
    text-align: left;
    vertical-align: middle;
    min-width: 90px;
}

.btn:focus,
.btn.focus {
    outline: 0;
    box-shadow: none;
}

.btn-dark {
    background-color: #374850;
    border-color: #222d32;
}


/*breadcrums butones de control*/

.breadcrums a,
article a {
    color: #9cbb3d;
    text-decoration: none;
    background-color: transparent;
    border-bottom: 1px solid;
    padding-bottom: 2px;
}

.breadcrums a:hover,
article a:hover {
    color: #9cbb3d;
    text-decoration: none;
    border: none !important;
}

.breadcrums .br-right a {
    border: 1px solid #9cbb3d !important;
    padding: 2.5px 10px 5px 10px;
    border-radius: 5px;
}

.breadcrums .br-right a:hover {
    background: #9cbb3d;
    color: white;
}

.breadcrums .br-right a.disabled {
    pointer-events: none;
    opacity: 0.5;
    background-color: #ececec;
    border: 1px solid #cfcfcf !important;
    color: #738892;
}


/*modal icon*/

.icon-modal.red i {
    color: #dc3545;
    border: 5px solid #dc3545;
}

.icon-modal.green i {
    color: #a5dc86;
    border: 5px solid #a5dc86;
}

.modal-header .modal-title {
    display: block;
}

.modal-header .modal-title h4 {
    padding: 0px;
    margin: 0px;
    color: #374850;
    font-weight: 600;
}

.modal-header .modal-title p {
    padding: 0px;
    margin: 0px;
    color: #8d8d8d;
    font-weight: 100;
    font-size: 14px;
}

.card-footer {
    display: inline-block;
}

.icon-modal i {
    margin: 25px;
    padding: 15px;
    width: 100px;
    height: 100px;
    border-radius: 100%;
    font-size: 60px;
    color: #dc3545;
    border: 5px solid #dc3545;
}

#_ModalDel .modal-footer,
#_ModalDone .modal-footer {
    justify-content: center;
}


/*pagination*/

li.page-item {
    margin: 2px;
}

a.page-link {
    border: 1px solid #a2a7ab !important;
    color: #374850;
    font-weight: 600;
    margin: 2px !important;
    border-radius: 5px !important;
    width: 36px;
    height: 32px;
    text-align: center;
    padding: 0px !important;
    display: table-cell;
    vertical-align: middle;
}

a.page-link:hover {
    /*border: 1px solid #a2a7ab !important;
    background-color: #dee2e6;
    color: #374850;*/
    border: 1px solid #9cbb3d !important;
    background-color: #ffffff;
    color: #9cbb3d;
}

.page-item.active .page-link {
    z-index: 1;
    color: #fff;
    background-color: #374850;
    border-color: #222d32 !important;
}

.page-item.active .page-link:hover {
    z-index: 1;
    color: #fff;
    background-color: #222d32;
    border-color: #1a2226 !important;
}

.page-link:focus {
    z-index: 2;
    outline: 0;
    box-shadow: none;
}

.label {
    background-color: #dfdfdf;
    color: #374850;
    border: 1px solid #cacaca;
    padding: 5px;
    text-shadow: none;
    border-radius: 1.25em;
    line-height: 1;
    white-space: nowrap;
    font-size: 12px;
    min-width: 125px;
    display: inline-block;
    text-align: center;
    vertical-align: middle;
}

.label.azul {
    /*background-color: #245576;*/
    background-color: #adcbdf;
    border: 1px solid #85acc6;
}

.label.amarillo {
    /*background-color: #c68f0e;*/
    background-color: #fff0cd;
    border: 1px solid #dbcaa3;
}

.label.rojo {
    /*background-color: #a81212;*/
    background-color: #dbadad;
    border: 1px solid #be8282;
}

.label.verde {
    background-color: #1ab327;
}

.label.turquesa {
    /*background-color: #1ab394;*/
    background-color: #bfefe6;
    border: 1px solid #8fcfc3;
}

.label.cafe {
    /*background-color: #5d2e05;*/
    background-color: #dfc5ae;
    border: 1px solid #b8a391;
}

.label.morado {
    /*background-color: #38326a;*/
    background-color: #dddbf4;
    border: 1px solid #bbb6e7;
}

.form-group:last-child {
    margin-bottom: 0;
}

.btn-success {
    padding: 1px 10px !important;
    border-bottom: 3px solid #2b7f3e;
}


/*.chkBoxNz label{
    border: 1px solid #ff6106;
    border-radius: 8px;
    padding: 5px 35px;
    margin: 0px 10px;
    cursor: pointer;
    color: #ff6106;
    margin-bottom: 20px;

}

.chkBoxNz label::before,
.chkBoxNz label::after{
    margin-left: 35px;
    margin-top:5px;
}

.chkBoxNz .custom-control-input:checked ~ .custom-control-label::before{
    border-color: #ff6106;
    background-color: #ff6106;
}*/

.nz-req {
    font-size: 12px;
}

.modal-body form .form-group label {
    font-size: 12px;
    font-weight: 600;
    color: #111719;
    margin-top: 10px;
    margin-bottom: 0;
    text-transform: uppercase;
}

.SubtitleModal {
    font-weight: 600;
    font-size: 16px;
    display: block;
    margin-top: 15px;
    border-left: 3px solid #9cbb3d;
    padding-left: 5px;
}

div#renglones {
    /* margin-top: -15px; */
    padding: 5px;
}

.tableSolicitud tr th:nth-child(1) {
    min-width: 100px;
}

.tableSolicitud tr th:nth-child(2) {
    min-width: 100px;
}

.tableSolicitud tr th:nth-child(3) {
    min-width: 100px;
}

.tableSolicitud tr th:nth-child(6) {
    min-width: 120px;
}

.tableSolicitud tr th:nth-child(7) {
    min-width: 55px;
}

.tableSolicitud tr th:nth-child(8) {
    min-width: 100px;
}

.tableSolicitud tr th:nth-child(9) {
    min-width: 140px !important;
}


/*.aprobarSol{
    padding: 10px;

}*/

#ContentDobleScroll {
    width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    height: 10px;
}

.DobleScroll {
    height: 10px;
}

.detInfo * {
    font-size: 14px;
    line-height: 1;
}

.detInfo .detTitle {
    margin-bottom: 10px;
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    color: gray;
    display: block;
}

.tableInfo {
    background: white;
    border: 1px solid #dfdfdf !important;
    color: #374850;
}

.tableInfo tr td:first-child {
    padding-left: 15px;
}

.tableInfo small {
    float: right;
}

.tabContentNz {
    border: 1px solid #dee2e6;
    background: white;
    border-top: none;
}

.subTitle {
    color: #374850;
    text-transform: uppercase;
    font-weight: 600;
}

.custom-control-input:checked~.custom-control-label::before {
    color: #fff;
    border-color: #222d32;
    background-color: #222d32;
}

.box-docAdjuntos #contentVisual {
    max-height: 350px;
    overflow: auto;
    padding-right: 10px;
}

.doc-requeridos {
    padding: 10px;
}

.doc-requeridos table tbody tr td:first-child i {
    font-size: 30px;
    color: #6c757d;
}


/*.doc-requeridos table tbody tr.active {
    background-color: rgb(221, 255, 229);
}*/

.doc-requeridos table tbody tr .nombre-doc span {
    text-transform: uppercase;
    font-weight: 600;
    margin: 0px;
}

.doc-requeridos table tbody tr.active td:first-child i {
    color: #28a745;
}

.dropzone {
    border: 2px dashed #ced4da !important;
}

.tabContentNz {
    min-height: 400px;
    position: relative;
}

#nav-comentarios .card-body .input-group {
    position: absolute;
    bottom: 10px;
    width: calc(100% - 20px);
    right: 10px;
}

.pull-right {
    float: right;
}


/*collapse menu*/

.collapse-menu .pull-right {
    padding-right: 10px;
}

.collapse-menu .pull-right i {
    -webkit-transition: transform .5s ease;
    -o-transition: transform .5s ease;
    transition: transform .5s ease;
}

.collapse-menu [aria-expanded="true"] {
    color: #fff;
    background: #1a2226;
}

.collapse-menu [aria-expanded="false"] .pull-right i {
    -webkit-transition: transform .5s ease;
    -o-transition: transform .5s ease;
    transition: transform .5s ease;
    -webkit-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    transform: rotate(90deg);
}

.collapse-menu ul {
    padding-inline-start: 0px !important;
}

.collapse-menu ul li {
    list-style: none;
    margin: 0;
    padding-left: 0px;
    white-space: nowrap;
    overflow: hidden;
}

.collapse-menu ul li a {
    padding-left: 20px !important;
}

.semana-selector input {
    display: none !important;
}

.semana-selector input[type=checkbox]+label {
    display: inline-block;
    border-radius: 6px;
    background: #dddddd;
    height: 40px;
    width: 30px;
    margin-right: 3px;
    line-height: 40px;
    text-align: center;
    cursor: pointer;
}

.semana-selector input[type=checkbox]:checked+label {
    background: #1e7e34;
    color: #ffffff;
}

label[for=radioDiario],
label[for=radioMes],
label[for=radioAnual] {
    position: absolute;
}

.selector-Fecha {
    display: inline-block;
}

.selector-Fecha input {
    display: inline-block;
    width: 120px;
    border: 0;
    cursor: default;
}

.selector-Fecha input:focus {
    outline: none !important;
    outline-width: 0 !important;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    color: #fff;
}

.selector-Fecha label {
    /*display: inline-block;*/
    border-radius: 6px;
    background: #dddddd;
    height: 40px;
    width: 30px;
    margin-right: 3px;
    line-height: 40px;
    text-align: center;
    cursor: pointer;
}

.selector-Fecha label.error {
    border-radius: 0px;
    background: #FFF;
    width: 150px;
    line-height: 18px;
    cursor: default;
}

.selector-Fecha input.error {
    width: 0px;
}

.inputTP {
    /*display: inline-block;*/
    /*width: 120px;*/
    border: 0;
    cursor: default;
    padding-top: 0px;
}

.inputTP:focus {
    outline: none !important;
    outline-width: 0 !important;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    padding-top: 0px;
    /*color: #fff;*/
}



.loader-page {
    position: fixed;
    z-index: 25000;
    
    background: transparent;
    left: 0px;
    top: 0px;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition:all .3s ease;
  }
  .loader-page::before {
    content: "";
    position: absolute;
    border: 2px solid #9cbb3d;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    box-sizing: border-box;
    border-left: 2px solid rgba(50, 150, 176,0);
    border-top: 2px solid rgba(50, 150, 176,0);
    animation: rotarload 1s linear infinite;
    transform: rotate(0deg);
  }
  @keyframes rotarload {
      0%   {transform: rotate(0deg)}
      100% {transform: rotate(360deg)}
  }
  .loader-page::after {
    content: "";
    position: absolute;
    border: 2px solid #9cbb3d;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    box-sizing: border-box;
    border-left: 2px solid rgba(50, 150, 176, 0);
    border-top: 2px solid rgba(50, 150, 176, 0);
    animation: rotarload 1s ease-out infinite;
    transform: rotate(0deg);
  }

  